LibreOffice: theOfficeInstallationDirectories Singleton Reference

LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
theOfficeInstallationDirectories Singleton Referencepublished

encapsulates access to the current office installation directory and office user data directory, provides functionality to create URLs containing relocatable (not absolute) references to the current office installation directory and user data directory and vice versa. More...

`import"theOfficeInstallationDirectories.idl";`

Inheritance diagram for theOfficeInstallationDirectories:

## Additional Inherited Members
Public Member Functions inherited from XOfficeInstallationDirectories
string | getOfficeInstallationDirectoryURL ()
| returns the absolute URL containing the directory of the current office installation (for example "file:///opt/LibreOffice") More...
string | getOfficeUserDataDirectoryURL ()
| returns the absolute URL containing the directory where the current office installation expects its user data (for example "file:///home/kso/.config/libreoffice/4") More...
string | makeRelocatableURL ([in] string URL)
| calculates a relocatable URL from the given URL. More...
string | makeAbsoluteURL ([in] string URL)
| the counterpart of `makeRelocatableURL`. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

encapsulates access to the current office installation directory and office user data directory, provides functionality to create URLs containing relocatable (not absolute) references to the current office installation directory and user data directory and vice versa.

This functionality is useful when data containing references to the current office installation directory or user data directory must be made persistent and re-read later. In many cases, storing the reference directly would destroy the relocatability of an office installation and the possibility to share one office user data directory among parallel office installations.

The documentation for this singleton was generated from the following file:

- com/sun/star/util/theOfficeInstallationDirectories.idl